#import jinja2 as j2
from bopytex.planner.generate_compile_join_planner import planner
from bopytex.worker import Dispatcher
from bopytex.worker.clean import clean
from bopytex.worker.compile import pdflatex
from bopytex.worker.generate import generate
from bopytex.worker.join_pdf import pdfjam
from bopytex.jinja2_env.texenv import texenv

jinja2 = {
    # "environment": j2.Environment(loader=j2.FileSystemLoader("./")),
    "environment": texenv
}

dispatcher = Dispatcher(
    {"GENERATE": generate, "COMPILE": pdflatex, "JOIN": pdfjam, "CLEAN": clean}
)


