from jinja2.environment import Template

from bopytex.message import Message


def generate(args, deps, output):
    env = args["jinja2"]["environment"]
    template = env.get_template(deps[0])

    try:
        with open(output, "w") as out:
            fed = template.render(args)
            out.write(fed)

        return Message(0, [f"GENERATE - {deps[0]} to {output}"], [])

    except Exception as e:
        return Message(1, [], [e])
